function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._url = browser.getUrl();
        this._browser = browser;
        browser.open(this._url);
    },

    onLoad: function () {
        this._browser.finish();
    },

    validateCallLog: function (log) {
        assertEquals('Unity.init', log[0].func, 'Unity.init');
        assertEquals('Unity.Notification.showNotification', log[1].func, 'Unity.Notification.showNotification');
        assertFalse('log.length', log.length < 3);
    },

    scriptName: 'YahooNews.user.js'
};
